//[kautomator](../../index.md)/[com.kaspersky.components.kautomator.component.common.builders](../index.md)/[UiViewBuilder](index.md)



# UiViewBuilder  
 [androidJvm] 



Class for building UiAutomator selectors



This class helps to build selectors for UiAutomator views and get their interactions.



class [UiViewBuilder](index.md)   


## Constructors  
  
|  Name|  Summary| 
|---|---|
| [UiViewBuilder](-ui-view-builder.md)|  [androidJvm] fun [UiViewBuilder](-ui-view-builder.md)()   <br>


## Functions  
  
|  Name|  Summary| 
|---|---|
| [build](build.md)| [androidJvm]  <br>Brief description  <br><br><br>Returns combined BySelector with all passed conditions<br><br>  <br>Content  <br>fun [build](build.md)(): [UiViewSelector](../-ui-view-selector/index.md)  <br><br><br>
| [containsText](contains-text.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view which contain given text<br><br>  <br>Content  <br>fun [containsText](contains-text.md)(text: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br><br><br>
| [equals](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/equals.html)| [androidJvm]  <br>Content  <br>open operator override fun [equals](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/equals.html)(other: [Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)?): [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)  <br><br><br>
| [hashCode](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/hash-code.html)| [androidJvm]  <br>Content  <br>open override fun [hashCode](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/hash-code.html)(): [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)  <br><br><br>
| [isCheckable](is-checkable.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is checkable<br><br>  <br>Content  <br>fun [isCheckable](is-checkable.md)()  <br><br><br>
| [isChecked](is-checked.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is in CHECKED state<br><br>  <br>Content  <br>fun [isChecked](is-checked.md)()  <br><br><br>
| [isClickable](is-clickable.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is clickable<br><br>  <br>Content  <br>fun [isClickable](is-clickable.md)()  <br><br><br>
| [isDisabled](is-disabled.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is not in ENABLED state<br><br>  <br>Content  <br>fun [isDisabled](is-disabled.md)()  <br><br><br>
| [isEnabled](is-enabled.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is in ENABLED state<br><br>  <br>Content  <br>fun [isEnabled](is-enabled.md)()  <br><br><br>
| [isFocusable](is-focusable.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is focusable<br><br>  <br>Content  <br>fun [isFocusable](is-focusable.md)()  <br><br><br>
| [isInstanceOf](is-instance-of.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view by class instance<br><br>  <br>Content  <br>fun [isInstanceOf](is-instance-of.md)(clazz: [Class](https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html)<*>)  <br><br><br>
| [isLongClickable](is-long-clickable.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is long clickable<br><br>  <br>Content  <br>fun [isLongClickable](is-long-clickable.md)()  <br><br><br>
| [isNotCheckable](is-not-checkable.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is not checkable<br><br>  <br>Content  <br>fun [isNotCheckable](is-not-checkable.md)()  <br><br><br>
| [isNotChecked](is-not-checked.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is not in CHECKED state<br><br>  <br>Content  <br>fun [isNotChecked](is-not-checked.md)()  <br><br><br>
| [isNotClickable](is-not-clickable.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is not clickable<br><br>  <br>Content  <br>fun [isNotClickable](is-not-clickable.md)()  <br><br><br>
| [isNotFocusable](is-not-focusable.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is not focusable<br><br>  <br>Content  <br>fun [isNotFocusable](is-not-focusable.md)()  <br><br><br>
| [isNotLongClickable](is-not-long-clickable.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is not long clickable<br><br>  <br>Content  <br>fun [isNotLongClickable](is-not-long-clickable.md)()  <br><br><br>
| [isNotScrollable](is-not-scrollable.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is not scrollable<br><br>  <br>Content  <br>fun [isNotScrollable](is-not-scrollable.md)()  <br><br><br>
| [isNotSelected](is-not-selected.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is not selected<br><br>  <br>Content  <br>fun [isNotSelected](is-not-selected.md)()  <br><br><br>
| [isScrollable](is-scrollable.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is scrollable<br><br>  <br>Content  <br>fun [isScrollable](is-scrollable.md)()  <br><br><br>
| [isSelected](is-selected.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view if it is selected<br><br>  <br>Content  <br>fun [isSelected](is-selected.md)()  <br><br><br>
| [textEndsWith](text-ends-with.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches if the view which text ends with given text<br><br>  <br>Content  <br>fun [textEndsWith](text-ends-with.md)(text: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br><br><br>
| [textStartsWith](text-starts-with.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches if the view which text starts with given text<br><br>  <br>Content  <br>fun [textStartsWith](text-starts-with.md)(text: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br><br><br>
| [toString](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/to-string.html)| [androidJvm]  <br>Content  <br>open override fun [toString](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/to-string.html)(): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)  <br><br><br>
| [withAnyText](with-any-text.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view which contains any text<br><br>  <br>Content  <br>fun [withAnyText](with-any-text.md)()  <br><br><br>
| [withChild](with-child.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view which has child of given matcher<br><br>  <br>Content  <br>fun [withChild](with-child.md)(function: [UiViewBuilder](index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br><br><br>
| [withClassName](with-class-name.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view which class matches given name<br><br>  <br>Content  <br>fun [withClassName](with-class-name.md)(clazz: [Class](https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html)<*>)  <br>fun [withClassName](with-class-name.md)(clazz: [Pattern](https://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html))  <br>fun [withClassName](with-class-name.md)(clazz: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br><br><br>
| [withContentDescription](with-content-description.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view with given content description<br><br>  <br>Content  <br>fun [withContentDescription](with-content-description.md)(contentDescription: [Pattern](https://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html))  <br>fun [withContentDescription](with-content-description.md)(contentDescription: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br><br><br>
| [withDepth](with-depth.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view that is at a certain depth<br><br>  <br>Content  <br>fun [withDepth](with-depth.md)(exactDepth: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html))  <br><br><br>[androidJvm]  <br>Brief description  <br><br><br>Matches the view that is in a range of depths<br><br>  <br>Content  <br>fun [withDepth](with-depth.md)(min: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html), max: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html))  <br><br><br>
| [withDescendant](with-descendant.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view which has descendant of given matcher<br><br>  <br>Content  <br>fun [withDescendant](with-descendant.md)(function: [UiViewBuilder](index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br><br><br>[androidJvm]  <br>Brief description  <br><br><br>Matches the view which has descendant of given matcher with the maximum depth under the element to search the descendant<br><br>  <br>Content  <br>fun [withDescendant](with-descendant.md)(maxDepth: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html), function: [UiViewBuilder](index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br><br><br>
| [withId](with-id.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view with given package name and resource id<br><br>  <br>Content  <br>fun [withId](with-id.md)(packageName: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), resourceId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br><br><br>
| [withIndex](with-index.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches only view at given index, if there are multiple views that matches<br><br>  <br>Content  <br>fun [withIndex](with-index.md)(index: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html), function: [UiViewBuilder](index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br><br><br>
| [withMaxDepth](with-max-depth.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view that is no more than a certain depth<br><br>  <br>Content  <br>fun [withMaxDepth](with-max-depth.md)(max: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html))  <br><br><br>
| [withMinDepth](with-min-depth.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view that is at least a certain depth<br><br>  <br>Content  <br>fun [withMinDepth](with-min-depth.md)(min: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html))  <br><br><br>
| [withoutText](without-text.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches if the view does not have a given text<br><br>  <br>Content  <br>fun [withoutText](without-text.md)(text: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br><br><br>
| [withPackage](with-package.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view with given package name<br><br>  <br>Content  <br>fun [withPackage](with-package.md)(packageName: [Pattern](https://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html))  <br>fun [withPackage](with-package.md)(packageName: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br><br><br>
| [withResourceName](with-resource-name.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view with given resource name<br><br>  <br>Content  <br>fun [withResourceName](with-resource-name.md)(pattern: [Pattern](https://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html))  <br>fun [withResourceName](with-resource-name.md)(name: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br>fun [withResourceName](with-resource-name.md)(packageName: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), name: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br><br><br>
| [withSelector](with-selector.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view with given custom BySelector<br><br>  <br>Content  <br>fun [withSelector](with-selector.md)(selector: BySelector.() -> BySelector)  <br><br><br>
| [withText](with-text.md)| [androidJvm]  <br>Brief description  <br><br><br>Matches the view with given text<br><br>  <br>Content  <br>fun [withText](with-text.md)(text: [Pattern](https://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html))  <br>fun [withText](with-text.md)(text: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br><br><br>

