//[kaspresso](../../../../index.md)/[com.kaspersky.kaspresso.kaspresso](../../../index.md)/[Kaspresso](../../index.md)/[Builder](../index.md)/[Companion](index.md)



# Companion  
 [androidJvm] object [Companion](index.md)   


## Functions  
  
|  Name|  Summary| 
|---|---|
| [advanced](advanced.md)| [androidJvm]  <br>Brief description  <br><br><br><br><br>Advanced (full-featured with screenshot functionality) [Builder](../index.md) for test environment configuration.<br><br><br><br>If you desire to override some variables in Configurator please use customize parameter here.<br><br><br><br>The example is:<br><br>class ComposeTest : TestCase(  <br>    kaspressoBuilder = Kaspresso.Builder.advanced {  <br>        adbServer = CustomAdbServerImpl()  <br>    }  <br>)<br><br>In this case your implementation of ``adbServer`` will be used for initializing of all other variables. So, your implementation has a priority over the default implementation while using customize parameter for the overriding.<br><br><br><br>Otherwise, if you don't set custom implementation then default implementation of ``adbServer`` will be explored.<br><br><br><br>Please, be aware, that overridings like:<br><br>class ComposeTest : TestCase(  <br>    kaspressoBuilder = Kaspresso.Builder.advanced().apply {  <br>        adbServer = CustomAdbServerImpl()  <br>    }  <br>)<br><br>don't give you desired effect! Yes, you have an possibility to use your custom ``adbServer``, but in all interceptors and other variables default implementation of ``adbServer`` will be exploring.<br><br><br><br>We strongly recommend to use ``apply`` construction in such cases as an updating of a list of interceptors or to change the order of interceptors in the list (for example, it are variables like ``viewActionWatcherInterceptors``, ``viewAssertionWatcherInterceptors``, etc).<br><br><br><br>@return the new instance of [Builder](../index.md).<br><br><br><br>  <br>Content  <br>fun [advanced](advanced.md)(customize: [Kaspresso.Builder](../index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)): [Kaspresso.Builder](../index.md)  <br><br><br>
| [default](default.md)| [androidJvm]  <br>Brief description  <br><br><br><br><br>Default (preconfigured full-featured with screenshot functionality) [Builder](../index.md) for test environment configuration.<br><br><br><br>If you desire to override some variables in Configurator please use customize parameter here.<br><br><br><br>The example is:<br><br>class ComposeTest : TestCase(  <br>    kaspressoBuilder = Kaspresso.Builder.default {  <br>        adbServer = CustomAdbServerImpl()  <br>    }  <br>)<br><br>In this case your implementation of ``adbServer`` will be used for initializing of all other variables. So, your implementation has a priority over the default implementation while using customize parameter for the overriding.<br><br><br><br>Otherwise, if you don't set custom implementation then default implementation of ``adbServer`` will be explored.<br><br><br><br>Please, be aware, that overridings like:<br><br>class ComposeTest : TestCase(  <br>    kaspressoBuilder = Kaspresso.Builder.default().apply {  <br>        adbServer = CustomAdbServerImpl()  <br>    }  <br>)<br><br>don't give you desired effect! Yes, you have an possibility to use your custom ``adbServer``, but in all interceptors and other variables default implementation of ``adbServer`` will be exploring.<br><br><br><br>We strongly recommend to use ``apply`` construction in such cases as an updating of a list of interceptors or to change the order of interceptors in the list (for example, it are variables like ``viewActionWatcherInterceptors``, ``viewAssertionWatcherInterceptors``, etc).<br><br><br><br>@return the new instance of [Builder](../index.md).<br><br><br><br>  <br>Content  <br>~~fun~~ [~~default~~](default.md)~~(~~~~customize~~~~:~~ [Kaspresso.Builder](../index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)~~)~~~~:~~ [Kaspresso.Builder](../index.md)  <br><br><br>
| [equals](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/equals.html)| [androidJvm]  <br>Content  <br>open operator override fun [equals](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/equals.html)(other: [Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)?): [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)  <br><br><br>
| [hashCode](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/hash-code.html)| [androidJvm]  <br>Content  <br>open override fun [hashCode](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/hash-code.html)(): [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)  <br><br><br>
| [simple](simple.md)| [androidJvm]  <br>Brief description  <br><br><br><br><br>Simple (preconfigured with logging and flaky-safe features) [Builder](../index.md) for test environment configuration.<br><br><br><br>If you desire to override some variables in Configurator please use customize parameter here.<br><br><br><br>The example is:<br><br>class ComposeTest : TestCase(  <br>    kaspressoBuilder = Kaspresso.Builder.simple {  <br>        adbServer = CustomAdbServerImpl()  <br>    }  <br>)<br><br>In this case your implementation of ``adbServer`` will be used for initializing of all other variables. So, your implementation has a priority over the default implementation while using customize parameter for the overriding.<br><br><br><br>Otherwise, if you don't set custom implementation then default implementation of ``adbServer`` will be explored.<br><br><br><br>Please, be aware, that overridings like:<br><br>class ComposeTest : TestCase(  <br>    kaspressoBuilder = Kaspresso.Builder.simple().apply {  <br>        adbServer = CustomAdbServerImpl()  <br>    }  <br>)<br><br>don't give you desired effect! Yes, you have an possibility to use your custom ``adbServer``, but in all interceptors and other variables default implementation of ``adbServer`` will be exploring.<br><br><br><br>We strongly recommend to use ``apply`` construction in such cases as an updating of a list of interceptors or to change the order of interceptors in the list (for example, it are variables like ``viewActionWatcherInterceptors``, ``viewAssertionWatcherInterceptors``, etc).<br><br><br><br>@return the new instance of [Builder](../index.md).<br><br><br><br>  <br>Content  <br>fun [simple](simple.md)(customize: [Kaspresso.Builder](../index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)): [Kaspresso.Builder](../index.md)  <br><br><br>
| [toString](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/to-string.html)| [androidJvm]  <br>Content  <br>open override fun [toString](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/to-string.html)(): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)  <br><br><br>

